﻿/* generic web list */
table.grid,table.listform
{
    border-collapse:separate;
}

table.fixedlistform
{
    border-collapse:separate;
    /*table-layout:fixed;*/
}

.listheader th {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    background-color: #00aae1;
}

/* header row style*/
th.listheader, tr.listheader {
    white-space: normal;
    font-weight: normal;
    font-size: small;
    color: white;
    text-align: center;
    background-color: #00aae1;
}
th.listheader span, tr.listheader span
{
    white-space:nowrap; 			
}
/* list row style */
tr.listrow, tr.listaltrow {
    /* color: #444444; */
    background-color: #F4F4FF;
    vertical-align: middle;
}
/* alternating list row style */
tr.listaltrow {
    background-color: #FFFFFF;
}

/* cell style for each data cell */
td.listdata,td.listdataalt
{
   vertical-align:top;
   padding:4px 6px 4px 6px;
   white-space  :nowrap;
}
/* alternating cell style for each data cell */
td.listdataalt
{    
}
td.listdatawrap,td.listdataaltwrap
{
   vertical-align:top;
   padding:4px 6px 4px 6px;
}

/* pager style */

.pagerStyle {
    background-color: #00aae1;
}
.pagerStyle td
{
    padding-left: 2px;     
    padding-right: 2px;       
}
.pagerStyle a, .pagerStyle span
{
    display: block;
    font-size: small;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    text-decoration: none;
    color: white;
    padding-left:2px;
    padding-right:2px;
}
    .pagerStyle span {
        font-weight: bold;
        border: none;
        color: #2A343A;
        background-color: #BDC1C3;
    }
.pagerStyle a:hover
{
    color:#F39B00;
}


/* styles for list links are held in htmllink.grid/htmllink.css
 <iaw:IAWHyperLink SkinID="listRow" runat="server" CssClass="listLinkRow" /> 
 <iaw:IAWHyperLink SkinID="listAltRow" runat="server" CssClass="listLinkAltRow" />*/

/* end generic web list */

/* other list header styles */
td.listheader
{
    white-space:nowrap; 
	font-weight: normal;
	font-size:small;	
	background-color:#00aae1;
	color: white;	
	text-align:center;
}

tr.listheader {
    background-color: #00aae1;
    color: white;
}
/* end other list header styles */

td.listfooter {
    white-space: nowrap;
    font-weight: normal;
    font-size: small;
    background-color: #00aae1;
    color: white;
    text-align: center;
}

tr.listfooter {
    background-color: #00aae1;
    color: white;
}


/* style for authorisations */
/* only change the backgroung image urls */
.auth_priority_01
{
    background-image:url(graphics/alert_yellow.gif);
    background-repeat:no-repeat;
    background-position:center;
    padding-left:3px;
    padding-right:3px;
}
.auth_alert_01
{
    background:url(./graphics/alert_red.gif) no-repeat center;    
    padding-left:3px;
    padding-right:3px;
}
.auth_date
{
    cursor:help;    
    width:95%;
}
input.gridtextbox
{
	font-size: small;
	color: black;
	background-color:Transparent;
	border-style:inset;	
}

input.gridtextbox_disabled
{
	font-size: small;
	color: black;
	background-color:Transparent;
	border-style:groove;	
}

a.gridheader
{
    text-decoration:underline;
}
/* end style for authorisations */
